Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
DBM Struct Reference

`#include <sdbm.h>`

## Data Fields
int | dirf
int | pagf
int | flags
int | keyptr
off_t | maxbno
long | curbit
long | hmask
long | blkptr
long | blkno
long | pagbno
char | pagbuf [PBLKSIZ]
long | dirbno
char | dirbuf [DBLKSIZ]

## Detailed Description

Definition at line 20 of file sdbm.h.

## Field Documentation

## ◆ blkno

long DBM::blkno

Definition at line 29 of file sdbm.h.

## ◆ blkptr

long DBM::blkptr

Definition at line 28 of file sdbm.h.

Referenced by sdbm_firstkey(), and sdbm_prep().

## ◆ curbit

long DBM::curbit

Definition at line 26 of file sdbm.h.

## ◆ dirbno

long DBM::dirbno

Definition at line 32 of file sdbm.h.

## ◆ dirbuf

char DBM::dirbuf[DBLKSIZ]

Definition at line 33 of file sdbm.h.

## ◆ dirf

int DBM::dirf

Definition at line 21 of file sdbm.h.

Referenced by sdbm_close(), and sdbm_prep().

## ◆ flags

int DBM::flags

Definition at line 23 of file sdbm.h.

Referenced by sdbm_prep().

## ◆ hmask

long DBM::hmask

Definition at line 27 of file sdbm.h.

Referenced by sdbm_prep().

## ◆ keyptr

int DBM::keyptr

Definition at line 24 of file sdbm.h.

Referenced by sdbm_firstkey(), and sdbm_prep().

## ◆ maxbno

off_t DBM::maxbno

Definition at line 25 of file sdbm.h.

## ◆ pagbno

long DBM::pagbno

Definition at line 30 of file sdbm.h.

Referenced by sdbm_firstkey().

## ◆ pagbuf

char DBM::pagbuf[PBLKSIZ]

Definition at line 31 of file sdbm.h.

Referenced by sdbm_firstkey().

## ◆ pagf

int DBM::pagf

Definition at line 22 of file sdbm.h.

Referenced by sdbm_close(), sdbm_firstkey(), and sdbm_prep().

The documentation for this struct was generated from the following file:

- ext/sdbm/sdbm.h